> ## Documentation Index
> Fetch the complete documentation index at: https://docs.posthook.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hook

> Retrieve a single hook by ID.

Retrieve details about a specific hook.

## Parameters

<ParamField path="id" type="string" required>
  The ID of the hook to retrieve.
</ParamField>


## OpenAPI

````yaml GET /hooks/{id}
openapi: 3.0.0
info:
  title: Posthook API
  version: 1.0.0
  description: >-
    REST API for scheduling, managing, and inspecting durable webhook
    deliveries.
servers:
  - url: https://api.posthook.io/v1
security:
  - apiKey: []
paths:
  /hooks/{id}:
    get:
      summary: Get Hook
      description: Retrieve a single hook by ID.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Hook details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Hook'
components:
  schemas:
    Hook:
      type: object
      properties:
        id:
          type: string
        path:
          type: string
        domain:
          type: string
        data:
          type: object
        postAt:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - pending
            - completed
            - failed
            - retry
        postDurationSeconds:
          type: number
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        attempts:
          type: integer
        failureError:
          type: string
        tryAt:
          type: string
          format: date-time
        wasNotified:
          type: boolean
        sequenceData:
          $ref: '#/components/schemas/HookSequenceData'
    HookSequenceData:
      type: object
      properties:
        sequenceID:
          type: string
        stepName:
          type: string
        sequenceLastRunAt:
          type: string
          format: date-time
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header

````